FROM registry.cn-chengdu.aliyuncs.com/reghao/adoptopenjdk_openjdk11:x86_64-debianslim-jdk-11.0.24_8-slim

WORKDIR /app
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
COPY target/tnb-account.jar /app/tnb-account.jar

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-Djava.awt.headless=true","-jar","/app/tnb-account.jar"]